Subject: Re: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Apr 2020 16:05:13 +0300

> From: João Távora <[email-masked]>
> Date: Fri, 17 Apr 2020 12:57:22 +0100
> Cc: Stefan Monnier <[email-masked]>, Juri Linkov <[email-masked]>, [email-masked], 
> 	Dmitry Gutov <[email-masked]>
> 
>  No.  IMO a mode included in the core should handle more that just one
>  kind of file.  We've been through this, at least twice.  Why do you
>  keep pushing?  It only adds to aggravation.
> 
> First, I don't know why you would feel aggravated by my 
> question.

Not by the question, by your pushing and pushing and pushing,  Same
arguments, same questions time and again.  To what end?

> Anyway, maybe that wasn't clear, but the new mode would 
> handle lots of files I have here.  It would allow me to design
> better working methods for me and my team. I just can't show 
> you those files. But I hope you can take my word for it.

I'd prefer to see the code.

> If you don't accept the "do no harm" criteria, how many 
> types of files produced by Emacs do you need before it
> becomes useful in your criteria?  Is .dir-locals.el + another 
> one enough?  That's "more than just one".

Again, this is not the kind of question that I can give a useful
answer.  If you or someone else show the code, I'm sure I will be able
to make up my mind about it (and so will be others).